Subject: Lead from Live Chat - Rentacardoha.com
From: Ayman Tatari <[email-masked]>
To: [email-masked], [email-masked], [email-masked]
Date: Wed, 6 Nov 2019 10:39:13 -0500

| | Lead from Live Chat for Al Muftah Rent-a-Car

Name | Ayman Tatari
E-mail | [email-masked]
Phone Number | (90) 5530359663
Lead About | Rental - Without driver
Date of Rental | 12-01-2019
Length of Rental | 6 months

Details of requirement

I am writing to enquire about renting a car in Doha, Qatar.

Car model would be either Toyota Camry (or equivalent) or Mitsubishi Pajero (or equivalent):

what special prices do you have for monthly rentals?

I also would like to compare between monthly rentals and long term rentals such as 3-month, 6-month and 1-year

I want to be sure I do not require a Qatari driver's license and do not require to be a local resident in order to obtain a car.

Also, I can either rent under my personal name or my company's. I work for Innova, a subsidiary of Turk Telekom.

| |